# msg_remove_queue

(PHP 4 >= 4.3.0, PHP 5, PHP 7)

msg_remove_queue — Destroy a message queue

### Description

msg_remove_queue ( resource `$queue` ) : bool

msg_remove_queue() destroys the message queue specified by the `queue`. Only use this function when all processes have finished working with the message queue and you need to release the system resources held by it.

### Parameters

`queue`

  Message queue resource handle

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- msg_get_queue() - Create or attach to a message queue
- msg_receive() - Receive a message from a message queue
- msg_stat_queue() - Returns information from the message queue data structure
- msg_set_queue() - Set information in the message queue data structure